[Ubuntu 14.04.03] libservicelog package update

Bug #1461560 reported by bugproxy
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
libservicelog (Ubuntu)
High
Mathieu Trudel-Lapierre
Trusty
Undecided
Unassigned
Vivid
Undecided
Unassigned

Bug Description

libservicelog package updates for ppc64:

libservicelog provides libraries to access the servicelog relational database on a System-p machine. Currently Firmware and device drivers errors are logged and managed using this database, it provides advanced error management capabilities.

Patches required for 14.04.3 release:

commit aa6ba867f41970f541928c99be348aeee01b429b
Author: Kamalesh Babulal <email address hidden>
Date: Thu May 14 11:09:36 2015 +0530

    src/addl_data: Add missing break statement in print_addl_data_rtas()

    Add a missing break to event_subtype switch case in
    print_addl_data_rtas().

== Comment: #6 - Kamalesh Babulal <email address hidden> - 2015-06-03 07:03:24 ==
commit fee5e8ab739020409882bba8cf419ac8fbaedc13
Author: Kamalesh Babulal <email address hidden>
Date: Mon May 18 10:30:53 2015 +0530

    src/event.c: Fix possible NULL dereference(s)

    Check potential NULL dereferences, before dereferencing
    pointers.

== Comment: #7 - Kamalesh Babulal <email address hidden> - 2015-06-03 07:04:12 ==
commit d2077d74a3dc377025defdf782971120c2912925
Author: Kamalesh Babulal <email address hidden>
Date: Thu May 14 11:09:38 2015 +0530

    src/event.c: Explicitly add '\0' to strncpy()

    String copy using strncpy() might not add NULL terminating
    character to mark the end of string, if the source string
    is <= N. To be safe, add '\0' termination explicitly.

== Comment: #8 - Kamalesh Babulal <email address hidden> - 2015-06-03 07:04:57 ==
commit 1d04e8881c855debdf3632043321a63fa77725dd
Author: Kamalesh Babulal <email address hidden>
Date: Thu May 14 11:09:39 2015 +0530

    src/notify.c: run_notification_tool() - Fix out of bound array indexing

    Fix out of bound array indexing while forming the command in
    run_notification_tool().

== Comment: #9 - Kamalesh Babulal <email address hidden> - 2015-06-03 07:05:34 ==
[linux-diag-libservicelog] $ git show -p 41977634720ff0576865f6112afafdfd9ed8cf06
commit 41977634720ff0576865f6112afafdfd9ed8cf06
Author: Kamalesh Babulal <email address hidden>
Date: Thu May 14 11:09:40 2015 +0530

    src/repair_action.c: Fix possible NULL dereference(s)

    Check potential NULL dereferences, before dereferencing
    pointers.

== Comment: #10 - Kamalesh Babulal <email address hidden> - 2015-06-03 07:06:14 ==
commit b614972a8d778e815e76e5e305e447cb97a503d8
Author: Kamalesh Babulal <email address hidden>
Date: Thu May 14 11:09:41 2015 +0530

    src/repair_action.c: Explicitly add '\0' to strncpy()

    String copy using strncpy() might not add NULL terminating
    character to mark the end of string, if the source string
    is <= N. To be safe, add '\0' termination explicitly.

== Comment: #11 - Kamalesh Babulal <email address hidden> - 2015-06-03 07:06:52 ==
commit ebf842c43e0ad16e975db1f4a10b4f83ccbfdf72
Author: Kamalesh Babulal <email address hidden>
Date: Thu May 14 11:09:42 2015 +0530

    src/v29_print.c: Add missing break statement

    Add a missing break to event_subtype switch case in
    sl_print_ppc64_rtas_event().

Revision history for this message
bugproxy (bugproxy) wrote : src/addl_data: Add missing break statement in print_addl_data_rtas()

Default Comment by Bridge

tags: added: architecture-ppc64le bugnameltc-124875 severity-high targetmilestone-inin14043
Revision history for this message
bugproxy (bugproxy) wrote : src/event.c: Fix possible NULL dereference(s)

Default Comment by Bridge

Revision history for this message
bugproxy (bugproxy) wrote : src/event.c: Explicitly add '\0' to strncpy()

Default Comment by Bridge

Revision history for this message
bugproxy (bugproxy) wrote : src/notify.c: run_notification_tool() - Fix out of bound array indexing

Default Comment by Bridge

Revision history for this message
bugproxy (bugproxy) wrote : src/repair_action.c: Fix possible NULL dereference(s)

Default Comment by Bridge

Revision history for this message
bugproxy (bugproxy) wrote : src/repair_action.c: Explicitly add '\0' to strncpy()

Default Comment by Bridge

Revision history for this message
bugproxy (bugproxy) wrote : src/v29_print.c: Add missing break statement

Default Comment by Bridge

Revision history for this message
Ubuntu Foundations Team Bug Bot (crichton) wrote :

Thank you for taking the time to report this bug and helping to make Ubuntu better. It seems that your bug report is not filed about a specific source package though, rather it is just filed against Ubuntu in general. It is important that bug reports be filed about source packages so that people interested in the package can find the bugs about it. You can find some hints about determining what package your bug might be about at https://wiki.ubuntu.com/Bugs/FindRightPackage. You might also ask for help in the #ubuntu-bugs irc channel on Freenode.

To change the source package that this bug is filed about visit https://bugs.launchpad.net/ubuntu/+bug/1461560/+editstatus and add the package name in the text box next to the word Package.

[This is an automated message. I apologize if it reached you inappropriately; please just reply to this message indicating so.]

tags: added: bot-comment
Steve Langasek (vorlon)
Changed in ubuntu:
assignee: nobody → Adam Conrad (adconrad)
milestone: none → ubuntu-14.04.3
Revision history for this message
bugproxy (bugproxy) wrote : Comment bridged from LTC Bugzilla

------- Comment From <email address hidden> 2015-07-02 19:12 EDT-------
These patches are over the 14.04.3 libservicelog version, which is 1.1.14, right?

Revision history for this message
bugproxy (bugproxy) wrote :

------- Comment From <email address hidden> 2015-07-03 06:11 EDT-------
(In reply to comment #17)
> These patches are over the 14.04.3 libservicelog version, which is 1.1.14,
> right?

It was based on 14.04.02 (Trusty Tahr) libservicelog_1.1.14-0ubuntu1.

Adam Conrad (adconrad)
affects: ubuntu → libservicelog (Ubuntu)
Changed in libservicelog (Ubuntu):
assignee: Adam Conrad (adconrad) → Mathieu Trudel-Lapierre (mathieu-tl)
status: New → In Progress
importance: Undecided → High
bugproxy (bugproxy)
tags: removed: bot-comment bugnameltc-124875 severity-high
Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package libservicelog - 1.1.15-0ubuntu2

---------------
libservicelog (1.1.15-0ubuntu2) wily; urgency=medium

  * debian/patches: Fix multiple missing break statements, NULL deference bugs,
    missing \0's in strncpy and out of bound errors. (LP: #1461560)
    - 0001-src-addl_data-Add-missing-break-statement-in-print_a.patch
    - 0002-src-event.c-Fix-possible-NULL-dereference-s.patch
    - 0003-src-event.c-Explicitly-add-0-to-strncpy.patch
    - 0004-src-notify.c-run_notification_tool-Fix-out-of-bound-.patch
    - 0005-src-repair_action.c-Fix-possible-NULL-dereference-s.patch
    - 0006-src-repair_action.c-Explicitly-add-0-to-strncpy.patch
    - 0007-src-v29_print.c-Add-missing-break-statement.patch

 -- Mathieu Trudel-Lapierre <email address hidden> Tue, 04 Aug 2015 18:09:59 -0400

Changed in libservicelog (Ubuntu):
status: In Progress → Fix Released
Revision history for this message
Adam Conrad (adconrad) wrote : Please test proposed package

Hello bugproxy, or anyone else affected,

Accepted libservicelog into trusty-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/libservicelog/1.1.15-0ubuntu2~14.04 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in libservicelog (Ubuntu Trusty):
status: New → Fix Committed
tags: added: verification-needed
Changed in libservicelog (Ubuntu Vivid):
status: New → Fix Committed
Revision history for this message
Adam Conrad (adconrad) wrote :

Hello bugproxy, or anyone else affected,

Accepted libservicelog into vivid-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/libservicelog/1.1.15-0ubuntu2~15.04 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

tags: added: verification-done
removed: verification-needed
Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package libservicelog - 1.1.15-0ubuntu2~14.04

---------------
libservicelog (1.1.15-0ubuntu2~14.04) trusty; urgency=medium

  * debian/patches: Fix multiple missing break statements, NULL deference bugs,
    missing \0's in strncpy and out of bound errors. (LP: #1461560)
    - 0001-src-addl_data-Add-missing-break-statement-in-print_a.patch
    - 0002-src-event.c-Fix-possible-NULL-dereference-s.patch
    - 0003-src-event.c-Explicitly-add-0-to-strncpy.patch
    - 0004-src-notify.c-run_notification_tool-Fix-out-of-bound-.patch
    - 0005-src-repair_action.c-Fix-possible-NULL-dereference-s.patch
    - 0006-src-repair_action.c-Explicitly-add-0-to-strncpy.patch
    - 0007-src-v29_print.c-Add-missing-break-statement.patch

libservicelog (1.1.15-0ubuntu1) utopic; urgency=medium

  * New upstream release, with simplified build system (LP: #1357483)
  * Drop debian/patches/000_hardened_build, which was merged upstream.
  * Add missing dependency on libsqlite3-dev to libservicelog-dev.
  * Correct sections of source and binary packages in debian/control.

 -- Mathieu Trudel-Lapierre <email address hidden> Tue, 04 Aug 2015 18:09:59 -0400

Changed in libservicelog (Ubuntu Trusty):
status: Fix Committed → Fix Released
Revision history for this message
Adam Conrad (adconrad) wrote : Update Released

The verification of the Stable Release Update for libservicelog has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package libservicelog - 1.1.15-0ubuntu2~15.04

---------------
libservicelog (1.1.15-0ubuntu2~15.04) vivid; urgency=medium

  * debian/patches: Fix multiple missing break statements, NULL deference bugs,
    missing \0's in strncpy and out of bound errors. (LP: #1461560)
    - 0001-src-addl_data-Add-missing-break-statement-in-print_a.patch
    - 0002-src-event.c-Fix-possible-NULL-dereference-s.patch
    - 0003-src-event.c-Explicitly-add-0-to-strncpy.patch
    - 0004-src-notify.c-run_notification_tool-Fix-out-of-bound-.patch
    - 0005-src-repair_action.c-Fix-possible-NULL-dereference-s.patch
    - 0006-src-repair_action.c-Explicitly-add-0-to-strncpy.patch
    - 0007-src-v29_print.c-Add-missing-break-statement.patch

 -- Mathieu Trudel-Lapierre <email address hidden> Tue, 04 Aug 2015 18:09:59 -0400

Changed in libservicelog (Ubuntu Vivid):
status: Fix Committed → Fix Released
bugproxy (bugproxy)
tags: added: bugnameltc-124875 severity-high
removed: verification-done
To post a comment you must log in.